Index: /branches/feature-module-update/data/downloads/module/mdl_epsilon/mdl_epsilon.php
===================================================================
--- /branches/feature-module-update/data/downloads/module/mdl_epsilon/mdl_epsilon.php	(revision 15532)
+++ /branches/feature-module-update/data/downloads/module/mdl_epsilon/mdl_epsilon.php	(revision 16582)
@@ -1,7 +1,29 @@
 <?php
+/*
+ * This file is part of EC-CUBE
+ *
+ * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ *
+ * http://www.lockon.co.jp/
+ *
+ * This program is free software; you can redistribute it and/or
+ * modify it under the terms of the GNU General Public License
+ * as published by the Free Software Foundation; either version 2
+ * of the License, or (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
+ */
+
 /**
- * 
+ *
  * @copyright	2000-2007 LOCKON CO.,LTD. All Rights Reserved.
- * @version	CVS: $Id$
+ * @version	CVS: $Id:mdl_epsilon.php 15532 2007-08-31 14:39:46Z nanasess $
  * @link		http://www.lockon.co.jp/
  *
@@ -10,27 +32,27 @@
 
 $arrPayment = array(
-	1 => 'クレジット',
-	2 => 'コンビニ'
+    1 => 'クレジット',
+    2 => 'コンビニ'
 );
 
 $arrCredit = array(
-	1 => 'VISA, MASTER, Diners',
-	2 => 'JCB, AMEX'
+    1 => 'VISA, MASTER, Diners',
+    2 => 'JCB, AMEX'
 );
 
 //ページ管理クラス
 class LC_Page {
-	//コンストラクタ
-	function LC_Page() {
-		//メインテンプレートの指定
-		$this->tpl_mainpage = MODULE_PATH . 'mdl_epsilon/mdl_epsilon.tpl';
-		$this->tpl_subtitle = 'イプシロン決済モジュール';
-		global $arrPayment;
-		$this->arrPayment = $arrPayment;
-		global $arrCredit;
-		$this->arrCredit = $arrCredit;
-		global $arrConvenience;
-		$this->arrConvenience = $arrConvenience;
-	}
+    //コンストラクタ
+    function LC_Page() {
+        //メインテンプレートの指定
+        $this->tpl_mainpage = MODULE_PATH . 'mdl_epsilon/mdl_epsilon.tpl';
+        $this->tpl_subtitle = 'イプシロン決済モジュール';
+        global $arrPayment;
+        $this->arrPayment = $arrPayment;
+        global $arrCredit;
+        $this->arrCredit = $arrCredit;
+        global $arrConvenience;
+        $this->arrConvenience = $arrConvenience;
+    }
 }
 $objPage = new LC_Page();
@@ -56,27 +78,27 @@
 switch($_POST['mode']) {
 case 'edit':
-	// 入力エラー判定
-	$objPage->arrErr = lfCheckError();
-
-	// エラーなしの場合にはデータを更新	
-	if(count($objPage->arrErr) == 0) {
-		// データ更新
-		lfUpdPaymentDB();
-		
-		// javascript実行
-		$objPage->tpl_onload = 'alert("登録完了しました。\n基本情報＞支払方法設定より詳細設定をしてください。"); window.close();';
-	}
-	break;
+    // 入力エラー判定
+    $objPage->arrErr = lfCheckError();
+
+    // エラーなしの場合にはデータを更新
+    if(count($objPage->arrErr) == 0) {
+        // データ更新
+        lfUpdPaymentDB();
+
+        // javascript実行
+        $objPage->tpl_onload = 'alert("登録完了しました。\n基本情報＞支払方法設定より詳細設定をしてください。"); window.close();';
+    }
+    break;
 case 'module_del':
-	// 汎用項目の存在チェック
-	if(sfColumnExists("dtb_payment", "memo01")){
-		// データの削除フラグをたてる
-		$objQuery->query("UPDATE dtb_payment SET del_flg = 1 WHERE module_id = ?", array(MDL_EPSILON_ID));
-	}
-	break;
+    // 汎用項目の存在チェック
+    if(sfColumnExists("dtb_payment", "memo01")){
+        // データの削除フラグをたてる
+        $objQuery->query("UPDATE dtb_payment SET del_flg = 1 WHERE module_id = ?", array(MDL_EPSILON_ID));
+    }
+    break;
 default:
-	// データのロード
-	lfLoadData();	
-	break;
+    // データのロード
+    lfLoadData();
+    break;
 }
 
@@ -88,166 +110,166 @@
 /* パラメータ情報の初期化 */
 function lfInitParam($objFormParam) {
-	$objFormParam->addParam("契約コード", "code", INT_LEN, "KVa", array("EXIST_CHECK", "MAX_LENGTH_CHECK", "NUM_CHECK"));
-	$objFormParam->addParam("接続先URL", "url", URL_LEN, "KVa", array("EXIST_CHECK", "MAX_LENGTH_CHECK", "URL_CHECK"));
-	$objFormParam->addParam("利用決済", "payment", "", "", array("EXIST_CHECK"));
-	$objFormParam->addParam("利用クレジット", "credit");	
-	$objFormParam->addParam("利用コンビニ", "convenience");	
-	return $objFormParam;
+    $objFormParam->addParam("契約コード", "code", INT_LEN, "KVa", array("EXIST_CHECK", "MAX_LENGTH_CHECK", "NUM_CHECK"));
+    $objFormParam->addParam("接続先URL", "url", URL_LEN, "KVa", array("EXIST_CHECK", "MAX_LENGTH_CHECK", "URL_CHECK"));
+    $objFormParam->addParam("利用決済", "payment", "", "", array("EXIST_CHECK"));
+    $objFormParam->addParam("利用クレジット", "credit");
+    $objFormParam->addParam("利用コンビニ", "convenience");
+    return $objFormParam;
 }
 
 // エラーチェックを行う
 function lfCheckError(){
-	global $objFormParam;
-	
-	$arrErr = $objFormParam->checkError();
-	
-	// 利用クレジット、利用コンビニのエラーチェック
-	$arrChkPay = $_POST["payment"];
-	foreach((array)$arrChkPay as $key => $val){
-		// 利用クレジット
-		if($val == 1 and count($_POST["credit"]) <= 0){
-			$arrErr["credit"] = "利用クレジットが選択されていません。<br />";
-		}
-		// 利用コンビニ
-		if($val == 2 and count($_POST["convenience"]) <= 0){
-			$arrErr["convenience"] = "利用コンビニが選択されていません。<br />";
-		}
-	}
-
-	// ssl対応判定
-	if(!extension_loaded('openssl') and ereg( "^https://", $_POST["url"] )){
-		$arrErr["url"] = "このサーバーはSSLに対応していません。<br>httpで接続してください。";
-	}
-
-	// 接続チェックを行う
-	if(count($arrErr) == 0) $arrErr = lfChkConnect();
-
-	return $arrErr;
+    global $objFormParam;
+
+    $arrErr = $objFormParam->checkError();
+
+    // 利用クレジット、利用コンビニのエラーチェック
+    $arrChkPay = $_POST["payment"];
+    foreach((array)$arrChkPay as $key => $val){
+        // 利用クレジット
+        if($val == 1 and count($_POST["credit"]) <= 0){
+            $arrErr["credit"] = "利用クレジットが選択されていません。<br />";
+        }
+        // 利用コンビニ
+        if($val == 2 and count($_POST["convenience"]) <= 0){
+            $arrErr["convenience"] = "利用コンビニが選択されていません。<br />";
+        }
+    }
+
+    // ssl対応判定
+    if(!extension_loaded('openssl') and ereg( "^https://", $_POST["url"] )){
+        $arrErr["url"] = "このサーバーはSSLに対応していません。<br>httpで接続してください。";
+    }
+
+    // 接続チェックを行う
+    if(count($arrErr) == 0) $arrErr = lfChkConnect();
+
+    return $arrErr;
 }
 
 // 接続チェックを行う
 function lfChkConnect(){
-	global $objQuery;
-	global $objPage;
-	
-	$arrRet = array();
-	
-	// メールアドレス取得
-	$email = $objQuery->getone("SELECT email03 FROM dtb_baseinfo");
-
-	// 契約コード	
-	(in_array(1, (array)$_POST["payment"])) ? $cre = "1" : $cre = "0";
-	(in_array(2, (array)$_POST["payment"])) ? $con = "1" : $con = "0";
-	$st_code = $cre . "0" . $con . "00-0000-00000";
-	
-	// 送信データ生成
-	$arrSendData = array(
-		'contract_code' => $_POST["code"],		// 契約コード
-		'user_id' => "connect_test",			// ユーザID
-		'user_name' => "接続テスト",			// ユーザ名
-		'user_mail_add' => $email,				// メールアドレス
-		'st_code' => $st_code,					// 決済区分
-		'process_code' => '3',					// 処理区分(固定)
-		'xml' => '1',							// 応答形式(固定)
-	);
-	
-	// データ送信
-	$arrXML = sfPostPaymentData($_POST["url"], $arrSendData, false);
-	if($arrXML == "") {
-		$arrRet["url"] = "接続できませんでした。<br>";
-		return $arrRet;	
-	}
-	
-	// エラーがあるかチェックする
-	$err_code = sfGetXMLValue($arrXML,'RESULT','ERR_CODE');
-	switch ($err_code) {
-		case "":
-			break;
-		case "607":
-			$arrRet["code"] = "契約コードが違います。<br>";
-			return $arrRet;
-		default :
-			$arrRet["service"] = sfGetXMLValue($arrXML,'RESULT','ERR_DETAIL');
-			return $arrRet;
-	}
-
-	// コンビニ指定があればコンビニ分ループし、チェックを行う
-	if(count($_POST["convenience"]) > 0){
-		foreach($_POST["convenience"] as $key => $val){
-			// 送信データ生成
-			$arrSendData['conveni_code'] = $val;			// コンビニコード
-			$arrSendData['user_tel'] = "0300000000";		// ダミー電話番号
-			$arrSendData['user_name_kana'] = "送信テスト";	// ダミー氏名(カナ)
-			$arrSendData['haraikomi_mail'] = 0;				// 払込メール(送信しない)
-			
-			// データ送信
-			$arrXML = sfPostPaymentData($_POST["url"], $arrSendData, false);
-			if($arrXML == "") {
-				$arrRet["url"] = "接続できませんでした。<br>";
-				return $arrRet;	
-			}
-			
-			// エラーがあるかチェックする
-			$err_code = sfGetXMLValue($arrXML,'RESULT','ERR_CODE');
-			if($err_code != ""){
-				$arrRet["service"] = sfGetXMLValue($arrXML,'RESULT','ERR_DETAIL');
-				return $arrRet;
-			}
-		}
-	}
-	
-	return $arrRet;	
+    global $objQuery;
+    global $objPage;
+
+    $arrRet = array();
+
+    // メールアドレス取得
+    $email = $objQuery->getone("SELECT email03 FROM dtb_baseinfo");
+
+    // 契約コード
+    (in_array(1, (array)$_POST["payment"])) ? $cre = "1" : $cre = "0";
+    (in_array(2, (array)$_POST["payment"])) ? $con = "1" : $con = "0";
+    $st_code = $cre . "0" . $con . "00-0000-00000";
+
+    // 送信データ生成
+    $arrSendData = array(
+        'contract_code' => $_POST["code"],		// 契約コード
+        'user_id' => "connect_test",			// ユーザID
+        'user_name' => "接続テスト",			// ユーザ名
+        'user_mail_add' => $email,				// メールアドレス
+        'st_code' => $st_code,					// 決済区分
+        'process_code' => '3',					// 処理区分(固定)
+        'xml' => '1',							// 応答形式(固定)
+    );
+
+    // データ送信
+    $arrXML = sfPostPaymentData($_POST["url"], $arrSendData, false);
+    if($arrXML == "") {
+        $arrRet["url"] = "接続できませんでした。<br>";
+        return $arrRet;
+    }
+
+    // エラーがあるかチェックする
+    $err_code = sfGetXMLValue($arrXML,'RESULT','ERR_CODE');
+    switch ($err_code) {
+        case "":
+            break;
+        case "607":
+            $arrRet["code"] = "契約コードが違います。<br>";
+            return $arrRet;
+        default :
+            $arrRet["service"] = sfGetXMLValue($arrXML,'RESULT','ERR_DETAIL');
+            return $arrRet;
+    }
+
+    // コンビニ指定があればコンビニ分ループし、チェックを行う
+    if(count($_POST["convenience"]) > 0){
+        foreach($_POST["convenience"] as $key => $val){
+            // 送信データ生成
+            $arrSendData['conveni_code'] = $val;			// コンビニコード
+            $arrSendData['user_tel'] = "0300000000";		// ダミー電話番号
+            $arrSendData['user_name_kana'] = "送信テスト";	// ダミー氏名(カナ)
+            $arrSendData['haraikomi_mail'] = 0;				// 払込メール(送信しない)
+
+            // データ送信
+            $arrXML = sfPostPaymentData($_POST["url"], $arrSendData, false);
+            if($arrXML == "") {
+                $arrRet["url"] = "接続できませんでした。<br>";
+                return $arrRet;
+            }
+
+            // エラーがあるかチェックする
+            $err_code = sfGetXMLValue($arrXML,'RESULT','ERR_CODE');
+            if($err_code != ""){
+                $arrRet["service"] = sfGetXMLValue($arrXML,'RESULT','ERR_DETAIL');
+                return $arrRet;
+            }
+        }
+    }
+
+    return $arrRet;
 }
 
 // 登録データを読み込む
 function lfLoadData(){
-	global $objFormParam;
-	
-	//データを取得
-	$arrRet = lfGetPaymentDB(" AND del_flg = '0'");
-	
-	// 値をセット
-	$objFormParam->setParam($arrRet[0]);
-
-	// 画面表示用にデータを変換
-	$arrDisp = array();
-	foreach($arrRet as $key => $val){
-		// 利用決済を表示用に変換
-		$arrDisp["payment"][$key] = $val["payment"];
-		
-		// クレジットの決済区分を取得
-		if($val["payment"] == 1) $credit = $val["payment_code"];
-		
-		// コンビニ
-		if($val["payment"] == 2) $arrDisp["convenience"] = $val["convenience"];
-	}
-	$objFormParam->setParam($arrDisp);
-	$objFormParam->splitParamCheckBoxes("convenience");
-	
-	// クレジット
-	if(substr($credit, 0, 1)) $arrCredit["credit"][] = 1;
-	if(substr($credit, 1, 1)) $arrCredit["credit"][] = 2;
-	$objFormParam->setParam($arrCredit);
+    global $objFormParam;
+
+    //データを取得
+    $arrRet = lfGetPaymentDB(" AND del_flg = '0'");
+
+    // 値をセット
+    $objFormParam->setParam($arrRet[0]);
+
+    // 画面表示用にデータを変換
+    $arrDisp = array();
+    foreach($arrRet as $key => $val){
+        // 利用決済を表示用に変換
+        $arrDisp["payment"][$key] = $val["payment"];
+
+        // クレジットの決済区分を取得
+        if($val["payment"] == 1) $credit = $val["payment_code"];
+
+        // コンビニ
+        if($val["payment"] == 2) $arrDisp["convenience"] = $val["convenience"];
+    }
+    $objFormParam->setParam($arrDisp);
+    $objFormParam->splitParamCheckBoxes("convenience");
+
+    // クレジット
+    if(substr($credit, 0, 1)) $arrCredit["credit"][] = 1;
+    if(substr($credit, 1, 1)) $arrCredit["credit"][] = 2;
+    $objFormParam->setParam($arrCredit);
 }
 
 // DBからデータを取得する
 function lfGetPaymentDB($where = "", $arrWhereVal = array()){
-	global $objQuery;
-	
-	$arrVal = array(MDL_EPSILON_ID);
-	$arrVal = array_merge($arrVal, $arrWhereVal);
-	
-	$arrRet = array();
-	$sql = "SELECT 
-				module_id, 
-				memo01 as code, 
-				memo02 as url, 
-				memo03 as payment,
-				memo04 as payment_code, 
-				memo05 as convenience
-			FROM dtb_payment WHERE module_id = ? " . $where;
-	$arrRet = $objQuery->getall($sql, $arrVal);
-
-	return $arrRet;
+    global $objQuery;
+
+    $arrVal = array(MDL_EPSILON_ID);
+    $arrVal = array_merge($arrVal, $arrWhereVal);
+
+    $arrRet = array();
+    $sql = "SELECT
+                module_id,
+                memo01 as code,
+                memo02 as url,
+                memo03 as payment,
+                memo04 as payment_code,
+                memo05 as convenience
+            FROM dtb_payment WHERE module_id = ? " . $where;
+    $arrRet = $objQuery->getall($sql, $arrVal);
+
+    return $arrRet;
 }
 
@@ -255,116 +277,116 @@
 // データの更新処理
 function lfUpdPaymentDB(){
-	global $objQuery;
-	global $objSess;
-	
-	// 利用コンビニにチェックが入っている場合には、ハイフン区切りに編集する
-	$convCnt = count($_POST["convenience"]);
-	if($convCnt > 0){
-		$convenience = $_POST["convenience"][0];
-		for($i = 1 ; $i < $convCnt ; $i++){
-			$convenience .= "-" . $_POST["convenience"][$i];
-		}
-	}
-		
-	// del_flgを削除にしておく
-	$del_sql = "UPDATE dtb_payment SET del_flg = 1 WHERE module_id = ? ";
-	$arrDel = array(MDL_EPSILON_ID);
-	$objQuery->query($del_sql, $arrDel);
-	
-	// データ登録
-	foreach($_POST["payment"] as $key => $val){
-		// ランクの最大値を取得する
-		$max_rank = $objQuery->getone("SELECT max(rank) FROM dtb_payment");
-
-		// 支払方法データを取得			
-		$arrPaymentData = lfGetPaymentDB("AND memo03 = ?", array($val));
-		
-		// クレジットにチェックが入っていればクレジットを登録する
-		if($val == 1){
-			(in_array(1, $_POST["credit"])) ? $visa = "1" : $visa = "0";
-			(in_array(2, $_POST["credit"])) ? $jcb = "1" : $jcb = "0";
-			$arrData = array(			
-				"payment_method" => "Epsilonクレジット"
-				,"fix" => 3
-				,"creator_id" => $objSess->member_id
-				,"create_date" => "now()"
-				,"update_date" => "now()"
-				,"upper_rule" => 500000
-				,"module_id" => MDL_EPSILON_ID
-				,"module_path" => MODULE_PATH . "mdl_epsilon/card.php"
-				,"memo01" => $_POST["code"]
-				,"memo02" => $_POST["url"]
-				,"memo03" => $val
-				,"memo04" => $visa . $jcb . "000-0000-00000"
-				,"del_flg" => "0"
-				,"charge_flg" => "2"
-				,"upper_rule_max" => CHARGE_MAX
-				
-			);
-		}
-		
-		// コンビニにチェックが入っていればコンビニを登録する
-		if($val == 2){
-			
-			// セブンイレブンのみ選択した場合には利用上限を30万にする。
-			if(count($_POST["convenience"]) == 1 and $_POST["convenience"][0] == 11) {
-				$upper_rule_max = SEVEN_CHARGE_MAX;
-				($arrPaymentData["upper_rule"] > $upper_rule_max or $arrPaymentData["upper_rule"] == "") ? $upper_rule = $upper_rule_max : $upper_rule = $arrPaymentData["upper_rule"];
-			}else{
-				$upper_rule_max = CHARGE_MAX;
-				$upper_rule = $upper_rule_max;
-			}
-			
-			$arrData = array(
-				"payment_method" => "Epsilonコンビニ"
-				,"fix" => 3
-				,"creator_id" => $objSess->member_id
-				,"create_date" => "now()"
-				,"update_date" => "now()"
-				,"upper_rule" => $upper_rule
-				,"module_id" => MDL_EPSILON_ID
-				,"module_path" => MODULE_PATH . "mdl_epsilon/convenience.php"
-				,"memo01" => $_POST["code"]
-				,"memo02" => $_POST["url"]
-				,"memo03" => $val
-				,"memo04" => "00100-0000-00000"
-				,"memo05" => $convenience
-				,"del_flg" => "0"
-				,"charge_flg" => "1"
-				,"upper_rule_max" => $upper_rule_max
-			);
-		}
-
-		// データが存在していればUPDATE、無ければINSERT
-		if(count($arrPaymentData) > 0){
-			$objQuery->update("dtb_payment", $arrData, " module_id = '" . MDL_EPSILON_ID . "' AND memo03 = '" . $val ."'");
-		}else{
-			$arrData["rank"] = $max_rank + 1;
-			$objQuery->insert("dtb_payment", $arrData);
-		}
-	}
+    global $objQuery;
+    global $objSess;
+
+    // 利用コンビニにチェックが入っている場合には、ハイフン区切りに編集する
+    $convCnt = count($_POST["convenience"]);
+    if($convCnt > 0){
+        $convenience = $_POST["convenience"][0];
+        for($i = 1 ; $i < $convCnt ; $i++){
+            $convenience .= "-" . $_POST["convenience"][$i];
+        }
+    }
+
+    // del_flgを削除にしておく
+    $del_sql = "UPDATE dtb_payment SET del_flg = 1 WHERE module_id = ? ";
+    $arrDel = array(MDL_EPSILON_ID);
+    $objQuery->query($del_sql, $arrDel);
+
+    // データ登録
+    foreach($_POST["payment"] as $key => $val){
+        // ランクの最大値を取得する
+        $max_rank = $objQuery->getone("SELECT max(rank) FROM dtb_payment");
+
+        // 支払方法データを取得
+        $arrPaymentData = lfGetPaymentDB("AND memo03 = ?", array($val));
+
+        // クレジットにチェックが入っていればクレジットを登録する
+        if($val == 1){
+            (in_array(1, $_POST["credit"])) ? $visa = "1" : $visa = "0";
+            (in_array(2, $_POST["credit"])) ? $jcb = "1" : $jcb = "0";
+            $arrData = array(
+                "payment_method" => "Epsilonクレジット"
+                ,"fix" => 3
+                ,"creator_id" => $objSess->member_id
+                ,"create_date" => "now()"
+                ,"update_date" => "now()"
+                ,"upper_rule" => 500000
+                ,"module_id" => MDL_EPSILON_ID
+                ,"module_path" => MODULE_PATH . "mdl_epsilon/card.php"
+                ,"memo01" => $_POST["code"]
+                ,"memo02" => $_POST["url"]
+                ,"memo03" => $val
+                ,"memo04" => $visa . $jcb . "000-0000-00000"
+                ,"del_flg" => "0"
+                ,"charge_flg" => "2"
+                ,"upper_rule_max" => CHARGE_MAX
+
+            );
+        }
+
+        // コンビニにチェックが入っていればコンビニを登録する
+        if($val == 2){
+
+            // セブンイレブンのみ選択した場合には利用上限を30万にする。
+            if(count($_POST["convenience"]) == 1 and $_POST["convenience"][0] == 11) {
+                $upper_rule_max = SEVEN_CHARGE_MAX;
+                ($arrPaymentData["upper_rule"] > $upper_rule_max or $arrPaymentData["upper_rule"] == "") ? $upper_rule = $upper_rule_max : $upper_rule = $arrPaymentData["upper_rule"];
+            }else{
+                $upper_rule_max = CHARGE_MAX;
+                $upper_rule = $upper_rule_max;
+            }
+
+            $arrData = array(
+                "payment_method" => "Epsilonコンビニ"
+                ,"fix" => 3
+                ,"creator_id" => $objSess->member_id
+                ,"create_date" => "now()"
+                ,"update_date" => "now()"
+                ,"upper_rule" => $upper_rule
+                ,"module_id" => MDL_EPSILON_ID
+                ,"module_path" => MODULE_PATH . "mdl_epsilon/convenience.php"
+                ,"memo01" => $_POST["code"]
+                ,"memo02" => $_POST["url"]
+                ,"memo03" => $val
+                ,"memo04" => "00100-0000-00000"
+                ,"memo05" => $convenience
+                ,"del_flg" => "0"
+                ,"charge_flg" => "1"
+                ,"upper_rule_max" => $upper_rule_max
+            );
+        }
+
+        // データが存在していればUPDATE、無ければINSERT
+        if(count($arrPaymentData) > 0){
+            $objQuery->update("dtb_payment", $arrData, " module_id = '" . MDL_EPSILON_ID . "' AND memo03 = '" . $val ."'");
+        }else{
+            $arrData["rank"] = $max_rank + 1;
+            $objQuery->insert("dtb_payment", $arrData);
+        }
+    }
 }
 
 // コンビニ入金確認処理
 function lfEpsilonCheck(){
-	global $objQuery;
-	
-	// trans_code を指定されていて且つ、入金済みの場合
-	if($_POST["trans_code"] != "" and $_POST["paid"] == 1 and $_POST["order_number"] != ""){
-		// ステータスを入金済みに変更する
-		$sql = "UPDATE dtb_order SET status = 6, update_date = now() WHERE order_id = ? AND memo04 = ? ";
-		$objQuery->query($sql, array($_POST["order_number"], $_POST["trans_code"]));
-		
-		// POSTの内容を全てログ保存
-		$log_path = DATA_PATH . "logs/epsilon.log";
-		gfPrintLog("epsilon conveni start---------------------------------------------------------", $log_path);
-		foreach($_POST as $key => $val){
-			gfPrintLog( "\t" . $key . " => " . $val, $log_path);
-		}
-		gfPrintLog("epsilon conveni end-----------------------------------------------------------", $log_path);
-		
-		//応答結果を表示
-		echo "1";
-	}
+    global $objQuery;
+
+    // trans_code を指定されていて且つ、入金済みの場合
+    if($_POST["trans_code"] != "" and $_POST["paid"] == 1 and $_POST["order_number"] != ""){
+        // ステータスを入金済みに変更する
+        $sql = "UPDATE dtb_order SET status = 6, update_date = now() WHERE order_id = ? AND memo04 = ? ";
+        $objQuery->query($sql, array($_POST["order_number"], $_POST["trans_code"]));
+
+        // POSTの内容を全てログ保存
+        $log_path = DATA_PATH . "logs/epsilon.log";
+        gfPrintLog("epsilon conveni start---------------------------------------------------------", $log_path);
+        foreach($_POST as $key => $val){
+            gfPrintLog( "\t" . $key . " => " . $val, $log_path);
+        }
+        gfPrintLog("epsilon conveni end-----------------------------------------------------------", $log_path);
+
+        //応答結果を表示
+        echo "1";
+    }
 }
 
Index: /branches/feature-module-update/data/downloads/module/mdl_epsilon/mdl_epsilon.inc
===================================================================
--- /branches/feature-module-update/data/downloads/module/mdl_epsilon/mdl_epsilon.inc	(revision 15079)
+++ /branches/feature-module-update/data/downloads/module/mdl_epsilon/mdl_epsilon.inc	(revision 16582)
@@ -1,5 +1,27 @@
 <?php
+/*
+ * This file is part of EC-CUBE
+ *
+ * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ *
+ * http://www.lockon.co.jp/
+ *
+ * This program is free software; you can redistribute it and/or
+ * modify it under the terms of the GNU General Public License
+ * as published by the Free Software Foundation; either version 2
+ * of the License, or (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
+ */
+
 /**
- * 
+ *
  * @copyright	2000-2007 LOCKON CO.,LTD. All Rights Reserved.
  * @version	CVS: $Id: mdl_epsilon.inc 7162 2006-11-18 09:53:33Z kakinaka $
@@ -15,19 +37,19 @@
 //コンビニの種類
 $arrConvenience = array(
-	11 => 'セブンイレブン'
-	,21 => 'ファミリーマート'
-	,31 => 'ローソン'
-	,32 => 'セイコーマート'
-	,33 => 'ミニストップ'
-	,34 => 'デイリーヤマザキ'
+    11 => 'セブンイレブン'
+    ,21 => 'ファミリーマート'
+    ,31 => 'ローソン'
+    ,32 => 'セイコーマート'
+    ,33 => 'ミニストップ'
+    ,34 => 'デイリーヤマザキ'
 );
 
 $arrConveni_message = array(
-	11 => "上記のページをプリントアウトされるか払込票番号をメモして、
+    11 => "上記のページをプリントアウトされるか払込票番号をメモして、
 お支払い期限までに、最寄りのセブンイレブンにて代金をお支払いください。"
-	,21 =>"ファミリーマート店頭にございます
+    ,21 =>"ファミリーマート店頭にございます
 Famiポート／ファミネットにて以下の「企業コード」と「注文番号」を入力し、
 申込券を印字後、お支払い期限までに代金をお支払い下さい。"
-	,31 =>"＜お支払い方法＞
+    ,31 =>"＜お支払い方法＞
 1. ローソンの店内に設置してあるLoppiのトップ画面の中から、
   「インターネット受付」をお選びください。
@@ -36,5 +58,5 @@
 
 3. 画面に従って「お支払い受付番号」と、ご注文いただいた際の
-  「電話番号」をご入力下さい。→Loppiより「申込券」が発券されます。 
+  「電話番号」をご入力下さい。→Loppiより「申込券」が発券されます。
     ※申込券の有効時間は30分間です。お早めにレジへお持ち下さい。
 
@@ -44,5 +66,5 @@
 5. 代金と引換に「領収書」をお渡しいたします。領収書は大切に保管
    してください。代金払込の証書となります。"
-	,32 =>"＜お支払い方法＞
+    ,32 =>"＜お支払い方法＞
 1.　セイコーマートの店内に設置してあるセイコーマートクラブステーション
    （情報端末）のトップ画面の中から、「インターネット受付」をお選び下さい。
@@ -54,8 +76,8 @@
 3.  発券された「決済サービス払込取扱票・払込票兼受領証・領収書（計3枚）」
 　　をお持ちの上、レジにて代金をお支払い下さい。 "
-	,33 =>"お支払い期限までにミニストップにて代金をお支払い下さい。
+    ,33 =>"お支払い期限までにミニストップにて代金をお支払い下さい。
 お支払いの際には「払込取扱票」が必要となりますので、上記URLで表示
 されるページを印刷してレジまでお持ち下さい。"
-	,34 =>"お支払い期限までにデイリーヤマザキ／ヤマザキデイリーストア
+    ,34 =>"お支払い期限までにデイリーヤマザキ／ヤマザキデイリーストア
 にて代金をお支払い下さい。
 お支払いの際には「払込取扱票」が必要となりますので、上記URLで表示
@@ -72,20 +94,20 @@
  **************************************************************************************************************/
 function sfGetXMLValue($arrVal, $tag, $att) {
-	$ret = "";
-	foreach((array)$arrVal as $array) {
-		if($tag == $array['tag']) {
-			if(!is_array($array['attributes'])) {
-				continue;
-			}
-			foreach($array['attributes'] as $key => $val) {
-				if($key == $att) {
-					$ret = mb_convert_encoding(urldecode($val), 'EUC-JP', 'SJIS');
-					break;
-				}
-			}			
-		}
-	}
-	
-	return $ret;
+    $ret = "";
+    foreach((array)$arrVal as $array) {
+        if($tag == $array['tag']) {
+            if(!is_array($array['attributes'])) {
+                continue;
+            }
+            foreach($array['attributes'] as $key => $val) {
+                if($key == $att) {
+                    $ret = mb_convert_encoding(urldecode($val), 'EUC-JP', 'SJIS');
+                    break;
+                }
+            }
+        }
+    }
+
+    return $ret;
 }
 
@@ -97,40 +119,40 @@
  **************************************************************************************************************/
 function sfPostPaymentData($order_url, $arrData, $err_page = true){
-	$arrVal = array();
-	$response = "";
+    $arrVal = array();
+    $response = "";
 
-	// POSTデータを送信し、応答情報を取得する
-	$response = sfSendPostData($order_url, $arrData, array(200));
-	
-	// なにも返ってこなれば、エラー
-	if ($response == "") {
-		if ($err_page) {
-			// エラー画面を表示する。
-			$_SESSION['site']['now_page'] ="";
-			sfDispSiteError(FREE_ERROR_MSG, "", true, "購入処理中にエラーが発生しました。<br>この手続きは無効となりました。");
-		}else{
-			return "" ;
-		}
-	}
+    // POSTデータを送信し、応答情報を取得する
+    $response = sfSendPostData($order_url, $arrData, array(200));
 
-	// Shift-JISをUNICODEに変換する
-	$response = str_replace("x-sjis-cp932", "UTF-8", $response);
-	// XML内のエンコードもUNICODEに変換
-	$response = mb_convert_encoding($response, "UTF-8", "UTF-8");
+    // なにも返ってこなれば、エラー
+    if ($response == "") {
+        if ($err_page) {
+            // エラー画面を表示する。
+            $_SESSION['site']['now_page'] ="";
+            sfDispSiteError(FREE_ERROR_MSG, "", true, "購入処理中にエラーが発生しました。<br>この手続きは無効となりました。");
+        }else{
+            return "" ;
+        }
+    }
 
-	// XMLパーサを生成する。
-	$parser = xml_parser_create('utf-8');
-	
-	// 空白文字は読み飛ばしてXMLを読み取る
-	xml_parser_set_option($parser,XML_OPTION_TARGET_ENCODING,"UTF-8");
-	xml_parser_set_option($parser,XML_OPTION_SKIP_WHITE,1);
-	
-	// 配列にXMLのデータを格納する
-	$err = xml_parse_into_struct($parser,$response,$arrVal,$idx);
+    // Shift-JISをUNICODEに変換する
+    $response = str_replace("x-sjis-cp932", "UTF-8", $response);
+    // XML内のエンコードもUNICODEに変換
+    $response = mb_convert_encoding($response, "UTF-8", "UTF-8");
 
-	// 開放する
-	xml_parser_free($parser);
-	
-	return $arrVal;
+    // XMLパーサを生成する。
+    $parser = xml_parser_create('utf-8');
+
+    // 空白文字は読み飛ばしてXMLを読み取る
+    xml_parser_set_option($parser,XML_OPTION_TARGET_ENCODING,"UTF-8");
+    xml_parser_set_option($parser,XML_OPTION_SKIP_WHITE,1);
+
+    // 配列にXMLのデータを格納する
+    $err = xml_parse_into_struct($parser,$response,$arrVal,$idx);
+
+    // 開放する
+    xml_parser_free($parser);
+
+    return $arrVal;
 }
 
Index: /branches/feature-module-update/data/downloads/module/mdl_epsilon/card.php
===================================================================
--- /branches/feature-module-update/data/downloads/module/mdl_epsilon/card.php	(revision 16329)
+++ /branches/feature-module-update/data/downloads/module/mdl_epsilon/card.php	(revision 16582)
@@ -1,7 +1,23 @@
 <?php
 /*
+ * This file is part of EC-CUBE
+ *
  * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
+ *
+ * This program is free software; you can redistribute it and/or
+ * modify it under the terms of the GNU General Public License
+ * as published by the Free Software Foundation; either version 2
+ * of the License, or (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
  */
 
Index: /branches/feature-module-update/data/downloads/module/mdl_epsilon/convenience.php
===================================================================
--- /branches/feature-module-update/data/downloads/module/mdl_epsilon/convenience.php	(revision 16329)
+++ /branches/feature-module-update/data/downloads/module/mdl_epsilon/convenience.php	(revision 16582)
@@ -1,7 +1,23 @@
 <?php
 /*
+ * This file is part of EC-CUBE
+ *
  * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
+ *
+ * This program is free software; you can redistribute it and/or
+ * modify it under the terms of the GNU General Public License
+ * as published by the Free Software Foundation; either version 2
+ * of the License, or (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
  */
 
